Bug 1295324 - gnuplot contain problematic content.
gnuplot contain problematic content.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Cahyna
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-01-04 03:13 EST by mejiko
Modified: 2018-05-21 15:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-21 15:06:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2016-01-04 03:13:08 EST
Hello.

gnuplot included non-free image. 
This is "Lena" (Lenna) image. (BIN and RGB file)

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

This files contain source RPM (source archive) and binary RPM.

Thanks.
Comment 1 mejiko 2016-01-04 04:46:48 EST
Additional information

File path is:

"gnuplot-5.0.1/demo/lena-keypoints.bin"

"gnuplot-5.0.1/demo/lena.rgb"


non-free Reason:

1) This file is copyrighted, and not fedora acceptable licensed content. 

Reference:

https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html
Comment 2 Frantisek Kluknavsky 2016-02-24 07:59:53 EST
I can not see any violation caused by "gnuplot-5.0.1/demo/lena-keypoints.bin". Could you please elaborate? (It does NOT contain the photograph, as far as I can tell).

About the photograph itself - I will ask gnuplot upstream. https://sourceforge.net/p/gnuplot/bugs/1744/
Comment 3 Jan Kurik 2016-02-24 09:13:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 mejiko 2016-02-25 03:45:29 EST
I recheck this data, This is not image file.
This is not contain lena image.
Sorry.

But "lena.rgb" is lena image. It is non-free image.
This is correct.

Thanks.
Comment 5 mejiko 2016-12-15 02:09:22 EST
Is this bug is resolved ?

Thanks.
Comment 6 Fedora End Of Life 2017-02-28 04:52:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 7 Fedora Admin XMLRPC Client 2017-07-11 11:12:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2017-07-31 08:47:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2018-02-20 10:23:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.
Comment 10 Tom "spot" Callaway 2018-05-21 15:06:21 EDT
This was fixed in gnuplot-5.0.6-3.fc27. All builds after that have the fix.

Note You need to log in before you can comment on or make changes to this bug.